class zarafa::ldap {
  $default = {
    "openldap" => {
      ldap_host => "localhost",
      ldap_port => "389",
      ldap_protocol => "ldap",
      ldap_uri => "",
      ldap_server_charset => "utf-8",
      ldap_bind_user => "cn=admin,cn=users,dc=zarafa,dc=com",
      ldap_bind_passwd => "",
      ldap_network_timeout => "30",
      ldap_last_modification_attribute => "modifyTimestamp",
      ldap_page_size => "1000",
      ldap_search_base => "dc=zarafa,dc=com",
      ldap_object_type_attribute => "objectClass",
      ldap_user_type_attribute_value => "posixAccount",
      ldap_group_type_attribute_value => "posixGroup",
      ldap_contact_type_attribute_value => "zarafa-contact",
      ldap_company_type_attribute_value => "organizationalUnit",
      ldap_addresslist_type_attribute_value => "zarafa-addresslist",
      ldap_dynamicgroup_type_attribute_value => "zarafa-dynamicgroup",
      ldap_user_search_filter => "",
      ldap_user_unique_attribute => "uidNumber",
      ldap_user_unique_attribute_type => "text",
      ldap_fullname_attribute => "cn",
      ldap_loginname_attribute => "uid",
      ldap_password_attribute => "userPassword",
      ldap_authentication_method => "bind",
      ldap_emailaddress_attribute => "mail",
      ldap_emailaliases_attribute => "zarafaAliases",
      ldap_isadmin_attribute => "zarafaAdmin",
      ldap_nonactive_attribute => "zarafaSharedStoreOnly",
      ldap_resource_type_attribute => "zarafaResourceType",
      ldap_resource_capacity_attribute => "zarafaResourceCapacity",
      ldap_sendas_attribute => "zarafaSendAsPrivilege",
      ldap_sendas_attribute_type => "text",
      ldap_sendas_relation_attribute => "",
      ldap_user_certificate_attribute => "userCertificate;binary",
      ldap_group_search_filter => "",
      ldap_group_unique_attribute => "gidNumber",
      ldap_group_unique_attribute_type => "text",
      ldap_groupname_attribute => "cn",
      ldap_groupmembers_attribute => "memberUid",
      ldap_groupmembers_attribute_type => "text",
      ldap_groupmembers_relation_attribute => "uid",
      ldap_group_security_attribute => "zarafaSecurityGroup",
      ldap_group_security_attribute_type => "boolean",
      ldap_company_search_filter => "",
      ldap_company_unique_attribute => "ou",
      ldap_company_unique_attribute_type => "text",
      ldap_companyname_attribute => "ou",
      ldap_company_view_attribute => "zarafaViewPrivilege",
      ldap_company_view_attribute_type => "text",
      ldap_company_view_relation_attribute => "",
      ldap_company_admin_attribute => "zarafaAdminPrivilege",
      ldap_company_admin_attribute_type => "text",
      ldap_company_admin_relation_attribute => "",
      ldap_company_system_admin_attribute => "zarafaSystemAdmin",
      ldap_company_system_admin_attribute_type => "text",
      ldap_company_system_admin_relation_attribute => "",
      ldap_addresslist_search_filter => "",
      ldap_addresslist_unique_attribute => "cn",
      ldap_addresslist_unique_attribute_type => "text",
      ldap_addresslist_filter_attribute => "zarafaFilter",
      ldap_addresslist_search_base_attribute => "zarafaBase",
      ldap_addresslist_name_attribute => "cn",
      ldap_dynamicgroup_search_filter => "",
      ldap_dynamicgroup_unique_attribute => "cn",
      ldap_dynamicgroup_unique_attribute_type => "text",
      ldap_dynamicgroup_filter_attribute => "zarafaFilter",
      ldap_dynamicgroup_search_base_attribute => "zarafaBase",
      ldap_dynamicgroup_name_attribute => "cn",
      ldap_quota_userwarning_recipients_attribute => "zarafaQuotaUserWarningRecipients",
      ldap_quota_userwarning_recipients_attribute_type => "text",
      ldap_quota_userwarning_recipients_relation_attribute => "",
      ldap_quota_companywarning_recipients_attribute => "zarafaQuotaCompanyWarningRecipients",
      ldap_quota_companywarning_recipients_attribute_type => "text",
      ldap_quota_companywarning_recipients_relation_attribute => "",
      ldap_quotaoverride_attribute => "zarafaQuotaOverride",
      ldap_warnquota_attribute => "zarafaQuotaWarn",
      ldap_softquota_attribute => "zarafaQuotaSoft",
      ldap_hardquota_attribute => "zarafaQuotaHard",
      ldap_userdefault_quotaoverride_attribute => "zarafaUserDefaultQuotaOverride",
      ldap_userdefault_warnquota_attribute => "zarafaUserDefaultQuotaWarn",
      ldap_userdefault_softquota_attribute => "zarafaUserDefaultQuotaSoft",
      ldap_userdefault_hardquota_attribute => "zarafaUserDefaultQuotaHard",
      ldap_quota_multiplier => "1",
      ldap_addressbook_hide_attribute => "zarafaHidden",
      ldap_object_search_filter => "",
      ldap_filter_cutoff_elements => "1000",
    },
    "ad" => {
      ldap_host => "",
      ldap_port => "389",
      ldap_protocol => "ldap",
      ldap_uri => "",
      ldap_server_charset => "utf-8",
      ldap_bind_user => "cn=Administrator,cn=users,dc=zarafa,dc=com",
      ldap_bind_passwd => "",
      ldap_network_timeout => "30",
      ldap_last_modification_attribute => "uSNChanged",
      ldap_page_size => "1000",
      ldap_search_base => "dc=zarafa,dc=com",
      ldap_object_type_attribute => "objectClass",
      ldap_user_type_attribute_value => "user",
      ldap_group_type_attribute_value => "group",
      ldap_contact_type_attribute_value => "contact",
      ldap_company_type_attribute_value => "organizationalUnit",
      ldap_addresslist_type_attribute_value => "zarafaAddresslist",
      ldap_dynamicgroup_type_attribute_value => "zarafaDynamicGroup",
      ldap_user_search_filter => "(objectCategory=Person)",
      ldap_user_unique_attribute => "objectGuid",
      ldap_user_unique_attribute_type => "binary",
      ldap_fullname_attribute => "cn",
      ldap_loginname_attribute => "sAMAccountName",
      ldap_password_attribute => "unicodePwd",
      ldap_authentication_method => "bind",
      ldap_emailaddress_attribute => "mail",
      ldap_emailaliases_attribute => "otherMailbox",
      ldap_isadmin_attribute => "zarafaAdmin",
      ldap_nonactive_attribute => "zarafaSharedStoreOnly",
      ldap_resource_type_attribute => "zarafaResourceType",
      ldap_resource_capacity_attribute => "zarafaResourceCapacity",
      ldap_sendas_attribute => "zarafaSendAsPrivilege",
      ldap_sendas_attribute_type => "dn",
      ldap_sendas_relation_attribute => "distinguishedName",
      ldap_user_certificate_attribute => "userCertificate",
      ldap_group_search_filter => "(objectCategory=Group)",
      ldap_group_unique_attribute => "objectSid",
      ldap_group_unique_attribute_type => "binary",
      ldap_groupname_attribute => "cn",
      ldap_groupmembers_attribute => "member",
      ldap_groupmembers_attribute_type => "dn",
      ldap_groupmembers_relation_attribute => "",
      ldap_group_security_attribute => "groupType",
      ldap_group_security_attribute_type => "ads",
      ldap_company_search_filter => "",
      ldap_company_unique_attribute => "objectGUID",
      ldap_company_unique_attribute_type => "binary",
      ldap_companyname_attribute => "ou",
      ldap_company_view_attribute => "zarafaViewPrivilege",
      ldap_company_view_attribute_type => "text",
      ldap_company_view_relation_attribute => "",
      ldap_company_admin_attribute => "zarafaAdminPrivilege",
      ldap_company_admin_attribute_type => "text",
      ldap_company_admin_relation_attribute => "",
      ldap_company_system_admin_attribute => "zarafaSystemAdmin",
      ldap_company_system_admin_attribute_type => "text",
      ldap_company_system_admin_relation_attribute => "",
      ldap_addresslist_search_filter => "",
      ldap_addresslist_unique_attribute => "cn",
      ldap_addresslist_unique_attribute_type => "text",
      ldap_addresslist_filter_attribute => "zarafaFilter",
      ldap_addresslist_search_base_attribute => "zarafaBase",
      ldap_addresslist_name_attribute => "cn",
      ldap_dynamicgroup_search_filter => "",
      ldap_dynamicgroup_unique_attribute => "cn",
      ldap_dynamicgroup_unique_attribute_type => "text",
      ldap_dynamicgroup_filter_attribute => "zarafaFilter",
      ldap_dynamicgroup_search_base_attribute => "zarafaBase",
      ldap_dynamicgroup_name_attribute => "cn",
      ldap_quota_userwarning_recipients_attribute => "zarafaQuotaUserWarningRecipients",
      ldap_quota_userwarning_recipients_attribute_type => "text",
      ldap_quota_userwarning_recipients_relation_attribute => "",
      ldap_quota_companywarning_recipients_attribute => "zarafaQuotaCompanyWarningRecipients",
      ldap_quota_companywarning_recipients_attribute_type => "text",
      ldap_quota_companywarning_recipients_relation_attribute => "",
      ldap_quotaoverride_attribute => "zarafaQuotaOverride",
      ldap_warnquota_attribute => "zarafaQuotaWarn",
      ldap_softquota_attribute => "zarafaQuotaSoft",
      ldap_hardquota_attribute => "zarafaQuotaHard",
      ldap_userdefault_quotaoverride_attribute => "zarafaUserDefaultQuotaOverride",
      ldap_userdefault_warnquota_attribute => "zarafaUserDefaultQuotaWarn",
      ldap_userdefault_softquota_attribute => "zarafaUserDefaultQuotaSoft",
      ldap_userdefault_hardquota_attribute => "zarafaUserDefaultQuotaHard",
      ldap_quota_multiplier => "1048576",
      ldap_addressbook_hide_attribute => "zarafaHidden",
      ldap_object_search_filter => "(anr=%s)",
      ldap_filter_cutoff_elements => "1000",
    },
    "ad-ms" => {
      ldap_host => "",
      ldap_port => "389",
      ldap_protocol => "ldap",
      ldap_uri => "",
      ldap_server_charset => "utf-8",
      ldap_bind_user => "cn=Administrator,cn=users,dc=zarafa,dc=com",
      ldap_bind_passwd => "",
      ldap_network_timeout => "30",
      ldap_last_modification_attribute => "uSNChanged",
      ldap_page_size => "1000",
      ldap_search_base => "dc=zarafa,dc=com",
      ldap_object_type_attribute => "objectClass",
      ldap_user_type_attribute_value => "user",
      ldap_group_type_attribute_value => "group",
      ldap_contact_type_attribute_value => "contact",
      ldap_company_type_attribute_value => "organizationalUnit",
      ldap_addresslist_type_attribute_value => "zarafaAddresslist",
      ldap_dynamicgroup_type_attribute_value => "zarafaDynamicGroup",
      ldap_server_type_attribute_value => "computer",
      ldap_user_search_filter => "(objectCategory=Person)",
      ldap_user_unique_attribute => "objectGuid",
      ldap_user_unique_attribute_type => "binary",
      ldap_fullname_attribute => "cn",
      ldap_loginname_attribute => "sAMAccountName",
      ldap_password_attribute => "unicodePwd",
      ldap_authentication_method => "bind",
      ldap_emailaddress_attribute => "mail",
      ldap_emailaliases_attribute => "otherMailbox",
      ldap_isadmin_attribute => "zarafaAdmin",
      ldap_nonactive_attribute => "zarafaSharedStoreOnly",
      ldap_resource_type_attribute => "zarafaResourceType",
      ldap_resource_capacity_attribute => "zarafaResourceCapacity",
      ldap_sendas_attribute => "zarafaSendAsPrivilege",
      ldap_sendas_attribute_type => "dn",
      ldap_sendas_relation_attribute => "distinguishedName",
      ldap_user_certificate_attribute => "userCertificate",
      ldap_group_search_filter => "(objectCategory=Group)",
      ldap_group_unique_attribute => "objectSid",
      ldap_group_unique_attribute_type => "binary",
      ldap_groupname_attribute => "cn",
      ldap_groupmembers_attribute => "member",
      ldap_groupmembers_attribute_type => "dn",
      ldap_groupmembers_relation_attribute => "",
      ldap_group_security_attribute => "groupType",
      ldap_group_security_attribute_type => "ads",
      ldap_company_search_filter => "",
      ldap_company_unique_attribute => "objectGUID",
      ldap_company_unique_attribute_type => "binary",
      ldap_companyname_attribute => "ou",
      ldap_company_view_attribute => "zarafaViewPrivilege",
      ldap_company_view_attribute_type => "text",
      ldap_company_view_relation_attribute => "",
      ldap_company_admin_attribute => "zarafaAdminPrivilege",
      ldap_company_admin_attribute_type => "text",
      ldap_company_admin_relation_attribute => "",
      ldap_company_system_admin_attribute => "zarafaSystemAdmin",
      ldap_company_system_admin_attribute_type => "text",
      ldap_company_system_admin_relation_attribute => "",
      ldap_addresslist_search_filter => "",
      ldap_addresslist_unique_attribute => "cn",
      ldap_addresslist_unique_attribute_type => "text",
      ldap_addresslist_filter_attribute => "zarafaFilter",
      ldap_addresslist_search_base_attribute => "zarafaBase",
      ldap_addresslist_name_attribute => "cn",
      ldap_dynamicgroup_search_filter => "",
      ldap_dynamicgroup_unique_attribute => "cn",
      ldap_dynamicgroup_unique_attribute_type => "text",
      ldap_dynamicgroup_filter_attribute => "zarafaFilter",
      ldap_dynamicgroup_search_base_attribute => "zarafaBase",
      ldap_dynamicgroup_name_attribute => "cn",
      ldap_quota_userwarning_recipients_attribute => "zarafaQuotaUserWarningRecipients",
      ldap_quota_userwarning_recipients_attribute_type => "text",
      ldap_quota_userwarning_recipients_relation_attribute => "",
      ldap_quota_companywarning_recipients_attribute => "zarafaQuotaCompanyWarningRecipients",
      ldap_quota_companywarning_recipients_attribute_type => "text",
      ldap_quota_companywarning_recipients_relation_attribute => "",
      ldap_quotaoverride_attribute => "zarafaQuotaOverride",
      ldap_warnquota_attribute => "zarafaQuotaWarn",
      ldap_softquota_attribute => "zarafaQuotaSoft",
      ldap_hardquota_attribute => "zarafaQuotaHard",
      ldap_userdefault_quotaoverride_attribute => "zarafaUserDefaultQuotaOverride",
      ldap_userdefault_warnquota_attribute => "zarafaUserDefaultQuotaWarn",
      ldap_userdefault_softquota_attribute => "zarafaUserDefaultQuotaSoft",
      ldap_userdefault_hardquota_attribute => "zarafaUserDefaultQuotaHard",
      ldap_quota_multiplier => "1048576",
      ldap_addressbook_hide_attribute => "zarafaHidden",
      ldap_object_search_filter => "(anr=%s)",
      ldap_filter_cutoff_elements => "1000",
      ldap_user_server_attribute => "zarafaUserServer",
      ldap_company_server_attribute => "zarafaCompanyServer",
      ldap_server_address_attribute => "zarafaHostAddress",
      ldap_server_http_port_attribute => "zarafaHttpPort",
      ldap_server_ssl_port_attribute => "zarafaSslPort",
      ldap_server_file_path_attribute => "zarafaFilePath",
      ldap_server_contains_public_attribute => "zarafaContainsPublic",
      ldap_server_proxy_path_attribute => "zarafaProxyURL",
      ldap_server_search_filter => "(objectCategory=Computer)",
      ldap_server_unique_attribute => "cn",
    },
    "openldap-ms" => {
      ldap_host => "localhost",
      ldap_port => "389",
      ldap_protocol => "ldap",
      ldap_uri => "",
      ldap_server_charset => "utf-8",
      ldap_bind_user => "cn=admin,cn=users,dc=zarafa,dc=com",
      ldap_bind_passwd => "",
      ldap_network_timeout => "30",
      ldap_last_modification_attribute => "modifyTimestamp",
      ldap_page_size => "1000",
      ldap_search_base => "dc=zarafa,dc=com",
      ldap_object_type_attribute => "objectClass",
      ldap_user_type_attribute_value => "posixAccount",
      ldap_group_type_attribute_value => "posixGroup",
      ldap_contact_type_attribute_value => "zarafa-contact",
      ldap_company_type_attribute_value => "organizationalUnit",
      ldap_addresslist_type_attribute_value => "zarafa-addresslist",
      ldap_dynamicgroup_type_attribute_value => "zarafa-dynamicgroup",
      ldap_server_type_attribute_value => "ipHost",
      ldap_user_search_filter => "",
      ldap_user_unique_attribute => "uidNumber",
      ldap_user_unique_attribute_type => "text",
      ldap_fullname_attribute => "cn",
      ldap_loginname_attribute => "uid",
      ldap_password_attribute => "userPassword",
      ldap_authentication_method => "bind",
      ldap_emailaddress_attribute => "mail",
      ldap_emailaliases_attribute => "zarafaAliases",
      ldap_isadmin_attribute => "zarafaAdmin",
      ldap_nonactive_attribute => "zarafaSharedStoreOnly",
      ldap_resource_type_attribute => "zarafaResourceType",
      ldap_resource_capacity_attribute => "zarafaResourceCapacity",
      ldap_sendas_attribute => "zarafaSendAsPrivilege",
      ldap_sendas_attribute_type => "text",
      ldap_sendas_relation_attribute => "",
      ldap_user_certificate_attribute => "userCertificate;binary",
      ldap_group_search_filter => "",
      ldap_group_unique_attribute => "gidNumber",
      ldap_group_unique_attribute_type => "text",
      ldap_groupname_attribute => "cn",
      ldap_groupmembers_attribute => "memberUid",
      ldap_groupmembers_attribute_type => "text",
      ldap_groupmembers_relation_attribute => "uid",
      ldap_group_security_attribute => "zarafaSecurityGroup",
      ldap_group_security_attribute_type => "boolean",
      ldap_company_search_filter => "",
      ldap_company_unique_attribute => "ou",
      ldap_company_unique_attribute_type => "text",
      ldap_companyname_attribute => "ou",
      ldap_company_view_attribute => "zarafaViewPrivilege",
      ldap_company_view_attribute_type => "text",
      ldap_company_view_relation_attribute => "",
      ldap_company_admin_attribute => "zarafaAdminPrivilege",
      ldap_company_admin_attribute_type => "text",
      ldap_company_admin_relation_attribute => "",
      ldap_company_system_admin_attribute => "zarafaSystemAdmin",
      ldap_company_system_admin_attribute_type => "text",
      ldap_company_system_admin_relation_attribute => "",
      ldap_addresslist_search_filter => "",
      ldap_addresslist_unique_attribute => "cn",
      ldap_addresslist_unique_attribute_type => "text",
      ldap_addresslist_filter_attribute => "zarafaFilter",
      ldap_addresslist_search_base_attribute => "zarafaBase",
      ldap_addresslist_name_attribute => "cn",
      ldap_dynamicgroup_search_filter => "",
      ldap_dynamicgroup_unique_attribute => "cn",
      ldap_dynamicgroup_unique_attribute_type => "text",
      ldap_dynamicgroup_filter_attribute => "zarafaFilter",
      ldap_dynamicgroup_search_base_attribute => "zarafaBase",
      ldap_dynamicgroup_name_attribute => "cn",
      ldap_quota_userwarning_recipients_attribute => "zarafaQuotaUserWarningRecipients",
      ldap_quota_userwarning_recipients_attribute_type => "text",
      ldap_quota_userwarning_recipients_relation_attribute => "",
      ldap_quota_companywarning_recipients_attribute => "zarafaQuotaCompanyWarningRecipients",
      ldap_quota_companywarning_recipients_attribute_type => "text",
      ldap_quota_companywarning_recipients_relation_attribute => "",
      ldap_quotaoverride_attribute => "zarafaQuotaOverride",
      ldap_warnquota_attribute => "zarafaQuotaWarn",
      ldap_softquota_attribute => "zarafaQuotaSoft",
      ldap_hardquota_attribute => "zarafaQuotaHard",
      ldap_userdefault_quotaoverride_attribute => "zarafaUserDefaultQuotaOverride",
      ldap_userdefault_warnquota_attribute => "zarafaUserDefaultQuotaWarn",
      ldap_userdefault_softquota_attribute => "zarafaUserDefaultQuotaSoft",
      ldap_userdefault_hardquota_attribute => "zarafaUserDefaultQuotaHard",
      ldap_quota_multiplier => "1",
      ldap_addressbook_hide_attribute => "zarafaHidden",
      ldap_object_search_filter => "",
      ldap_filter_cutoff_elements => "1000",
      ldap_user_server_attribute => "zarafaUserServer",
      ldap_company_server_attribute => "zarafaCompanyServer",
      ldap_server_address_attribute => "ipHostNumber",
      ldap_server_http_port_attribute => "zarafaHttpPort",
      ldap_server_ssl_port_attribute => "zarafaSslPort",
      ldap_server_file_path_attribute => "zarafaFilePath",
      ldap_server_contains_public_attribute => "zarafaContainsPublic",
      ldap_server_proxy_path_attribute => "zarafaProxyURL",
      ldap_server_search_filter => "",
      ldap_server_unique_attribute => "cn",
    },
  }
}
