class zarafa::server (
  $user_directory = "db",
  $server_type = "standalone",

  $server_bind = $zarafa::server::params::server_bind,
  $server_tcp_enabled = $zarafa::server::params::server_tcp_enabled,
  $server_tcp_port = $zarafa::server::params::server_tcp_port,
  $server_pipe_enabled = $zarafa::server::params::server_pipe_enabled,
  $server_pipe_name = $zarafa::server::params::server_pipe_name,
  $server_pipe_priority = $zarafa::server::params::server_pipe_priority,
  $server_name = $zarafa::server::params::server_name,
  $server_hostname = $zarafa::server::params::server_hostname,
  $database_engine = $zarafa::server::params::database_engine,
  $allow_local_users = $zarafa::server::params::allow_local_users,
  $local_admin_users = $zarafa::server::params::local_admin_users,
  $system_email_address = $zarafa::server::params::system_email_address,
  $run_as_user = $zarafa::server::params::run_as_user,
  $run_as_group = $zarafa::server::params::run_as_group,
  $pid_file = $zarafa::server::params::pid_file,
  $running_path = $zarafa::server::params::running_path,
  $coredump_enabled = $zarafa::server::params::coredump_enabled,
  $session_timeout = $zarafa::server::params::session_timeout,
  $license_socket = $zarafa::server::params::license_socket,
  $license_timeout = $zarafa::server::params::license_timeout,
  $log_method = $zarafa::server::params::log_method,
  $log_file = $zarafa::server::params::log_file,
  $log_level = $zarafa::server::params::log_level,
  $log_timestamp = $zarafa::server::params::log_timestamp,
  $audit_log_enabled = $zarafa::server::params::audit_log_enabled,
  $audit_log_method = $zarafa::server::params::audit_log_method,
  $audit_log_file = $zarafa::server::params::audit_log_file,
  $audit_log_level = $zarafa::server::params::audit_log_level,
  $audit_log_timestamp = $zarafa::server::params::audit_log_timestamp,
  $mysql_host = $zarafa::server::params::mysql_host,
  $mysql_port = $zarafa::server::params::mysql_port,
  $mysql_user = $zarafa::server::params::mysql_user,
  $mysql_password = $zarafa::server::params::mysql_password,
  $mysql_socket = $zarafa::server::params::mysql_socket,
  $mysql_database = $zarafa::server::params::mysql_database,
  $attachment_storage = $zarafa::server::params::attachment_storage,
  $attachment_path = $zarafa::server::params::attachment_path,
  $attachment_compression = $zarafa::server::params::attachment_compression,
  $server_ssl_enabled = $zarafa::server::params::server_ssl_enabled,
  $server_ssl_port = $zarafa::server::params::server_ssl_port,
  $server_ssl_key_file = $zarafa::server::params::server_ssl_key_file,
  $server_ssl_key_pass = $zarafa::server::params::server_ssl_key_pass,
  $server_ssl_ca_file = $zarafa::server::params::server_ssl_ca_file,
  $server_ssl_ca_path = $zarafa::server::params::server_ssl_ca_path,
  $server_ssl_enable_v2 = $zarafa::server::params::server_ssl_enable_v2,
  $sslkeys_path = $zarafa::server::params::sslkeys_path,
  $threads = $zarafa::server::params::threads,
  $watchdog_frequency = $zarafa::server::params::watchdog_frequency,
  $watchdog_max_age = $zarafa::server::params::watchdog_max_age,
  $server_max_keep_alive_requests = $zarafa::server::params::server_max_keep_alive_requests,
  $server_recv_timeout = $zarafa::server::params::server_recv_timeout,
  $server_read_timeout = $zarafa::server::params::server_read_timeout,
  $server_send_timeout = $zarafa::server::params::server_send_timeout,
  $softdelete_lifetime = $zarafa::server::params::softdelete_lifetime,
  $sync_lifetime = $zarafa::server::params::sync_lifetime,
  $sync_log_all_changes = $zarafa::server::params::sync_log_all_changes,
  $enable_sso = $zarafa::server::params::enable_sso,
  $enable_gab = $zarafa::server::params::enable_gab,
  $auth_method = $zarafa::server::params::auth_method,
  $pam_service = $zarafa::server::params::pam_service,
  $cache_cell_size = $zarafa::server::params::cache_cell_size,
  $cache_object_size = $zarafa::server::params::cache_object_size,
  $cache_indexedobject_size = $zarafa::server::params::cache_indexedobject_size,
  $cache_quota_size = $zarafa::server::params::cache_quota_size,
  $cache_quota_lifetime = $zarafa::server::params::cache_quota_lifetime,
  $cache_acl_size = $zarafa::server::params::cache_acl_size,
  $cache_store_size = $zarafa::server::params::cache_store_size,
  $cache_user_size = $zarafa::server::params::cache_user_size,
  $cache_userdetails_size = $zarafa::server::params::cache_userdetails_size,
  $cache_userdetails_lifetime = $zarafa::server::params::cache_userdetails_lifetime,
  $cache_server_size = $zarafa::server::params::cache_server_size,
  $cache_server_lifetime = $zarafa::server::params::cache_server_lifetime,
  $quota_warn = $zarafa::server::params::quota_warn,
  $quota_soft = $zarafa::server::params::quota_soft,
  $quota_hard = $zarafa::server::params::quota_hard,
  $companyquota_warn = $zarafa::server::params::companyquota_warn,
  $user_plugin_config = $zarafa::server::params::user_plugin_config,
  $plugin_path = $zarafa::server::params::plugin_path,
  $createuser_script = $zarafa::server::params::createuser_script,
  $deleteuser_script = $zarafa::server::params::deleteuser_script,
  $creategroup_script = $zarafa::server::params::creategroup_script,
  $deletegroup_script = $zarafa::server::params::deletegroup_script,
  $createcompany_script = $zarafa::server::params::createcompany_script,
  $deletecompany_script = $zarafa::server::params::deletecompany_script,
  $user_safe_mode = $zarafa::server::params::user_safe_mode,
  $thread_stacksize = $zarafa::server::params::thread_stacksize,
  $enable_hosted_zarafa = $zarafa::server::params::enable_hosted_zarafa,
  $storename_format = $zarafa::server::params::storename_format,
  $loginname_format = $zarafa::server::params::loginname_format,
  $client_update_enabled = $zarafa::server::params::client_update_enabled,
  $client_update_path = $zarafa::server::params::client_update_path,
  $client_update_log_level = $zarafa::server::params::client_update_log_level,
  $client_update_log_path = $zarafa::server::params::client_update_log_path,
  $hide_everyone = $zarafa::server::params::hide_everyone,
  $hide_system = $zarafa::server::params::hide_system,
  $search_enabled = $zarafa::server::params::search_enabled,
  $search_socket = $zarafa::server::params::search_socket,
  $search_timeout = $zarafa::server::params::search_timeout,
  $enable_enhanced_ics = $zarafa::server::params::enable_enhanced_ics,
  $enable_sql_procedures = $zarafa::server::params::enable_sql_procedures,
  $sync_gab_realtime = $zarafa::server::params::sync_gab_realtime,
  $disabled_features = $zarafa::server::params::disabled_features,
  $max_deferred_records = $zarafa::server::params::max_deferred_records,
  $max_deferred_records_folder = $zarafa::server::params::max_deferred_records_folder,
  $restrict_admin_permissions = $zarafa::server::params::restrict_admin_permissions,
  $embedded_attachment_limit = $zarafa::server::params::embedded_attachment_limit,
  $proxy_header = $zarafa::server::params::proxy_header,

  # ldap
  $ldap_host = "UNSET",
  $ldap_port = "UNSET",
  $ldap_protocol = "UNSET",
  $ldap_uri = "UNSET",
  $ldap_server_charset = "UNSET",
  $ldap_bind_user = "UNSET",
  $ldap_bind_passwd = "UNSET",
  $ldap_network_timeout = "UNSET",
  $ldap_last_modification_attribute = "UNSET",
  $ldap_page_size = "UNSET",
  $ldap_search_base = "UNSET",
  $ldap_object_type_attribute = "UNSET",
  $ldap_user_type_attribute_value = "UNSET",
  $ldap_group_type_attribute_value = "UNSET",
  $ldap_contact_type_attribute_value = "UNSET",
  $ldap_company_type_attribute_value = "UNSET",
  $ldap_addresslist_type_attribute_value = "UNSET",
  $ldap_dynamicgroup_type_attribute_value = "UNSET",
  $ldap_user_search_filter = "UNSET",
  $ldap_user_unique_attribute = "UNSET",
  $ldap_user_unique_attribute_type = "UNSET",
  $ldap_fullname_attribute = "UNSET",
  $ldap_loginname_attribute = "UNSET",
  $ldap_password_attribute = "UNSET",
  $ldap_authentication_method = "UNSET",
  $ldap_emailaddress_attribute = "UNSET",
  $ldap_emailaliases_attribute = "UNSET",
  $ldap_isadmin_attribute = "UNSET",
  $ldap_nonactive_attribute = "UNSET",
  $ldap_resource_type_attribute = "UNSET",
  $ldap_resource_capacity_attribute = "UNSET",
  $ldap_sendas_attribute = "UNSET",
  $ldap_sendas_attribute_type = "UNSET",
  $ldap_sendas_relation_attribute = "UNSET",
  $ldap_user_certificate_attribute = "UNSET",
  $ldap_group_search_filter = "UNSET",
  $ldap_group_unique_attribute = "UNSET",
  $ldap_group_unique_attribute_type = "UNSET",
  $ldap_groupname_attribute = "UNSET",
  $ldap_groupmembers_attribute = "UNSET",
  $ldap_groupmembers_attribute_type = "UNSET",
  $ldap_groupmembers_relation_attribute = "UNSET",
  $ldap_group_security_attribute = "UNSET",
  $ldap_group_security_attribute_type = "UNSET",
  $ldap_company_search_filter = "UNSET",
  $ldap_company_unique_attribute = "UNSET",
  $ldap_company_unique_attribute_type = "UNSET",
  $ldap_companyname_attribute = "UNSET",
  $ldap_company_view_attribute = "UNSET",
  $ldap_company_view_attribute_type = "UNSET",
  $ldap_company_view_relation_attribute = "UNSET",
  $ldap_company_admin_attribute = "UNSET",
  $ldap_company_admin_attribute_type = "UNSET",
  $ldap_company_admin_relation_attribute = "UNSET",
  $ldap_company_system_admin_attribute = "UNSET",
  $ldap_company_system_admin_attribute_type = "UNSET",
  $ldap_company_system_admin_relation_attribute = "UNSET",
  $ldap_addresslist_search_filter = "UNSET",
  $ldap_addresslist_unique_attribute = "UNSET",
  $ldap_addresslist_unique_attribute_type = "UNSET",
  $ldap_addresslist_filter_attribute = "UNSET",
  $ldap_addresslist_search_base_attribute = "UNSET",
  $ldap_addresslist_name_attribute = "UNSET",
  $ldap_dynamicgroup_search_filter = "UNSET",
  $ldap_dynamicgroup_unique_attribute = "UNSET",
  $ldap_dynamicgroup_unique_attribute_type = "UNSET",
  $ldap_dynamicgroup_filter_attribute = "UNSET",
  $ldap_dynamicgroup_search_base_attribute = "UNSET",
  $ldap_dynamicgroup_name_attribute = "UNSET",
  $ldap_quota_userwarning_recipients_attribute = "UNSET",
  $ldap_quota_userwarning_recipients_attribute_type = "UNSET",
  $ldap_quota_userwarning_recipients_relation_attribute = "UNSET",
  $ldap_quota_companywarning_recipients_attribute = "UNSET",
  $ldap_quota_companywarning_recipients_attribute_type = "UNSET",
  $ldap_quota_companywarning_recipients_relation_attribute = "UNSET",
  $ldap_quotaoverride_attribute = "UNSET",
  $ldap_warnquota_attribute = "UNSET",
  $ldap_softquota_attribute = "UNSET",
  $ldap_hardquota_attribute = "UNSET",
  $ldap_userdefault_quotaoverride_attribute = "UNSET",
  $ldap_userdefault_warnquota_attribute = "UNSET",
  $ldap_userdefault_softquota_attribute = "UNSET",
  $ldap_userdefault_hardquota_attribute = "UNSET",
  $ldap_quota_multiplier = "UNSET",
  $ldap_addressbook_hide_attribute = "UNSET",
  $ldap_object_search_filter = "UNSET",
  $ldap_filter_cutoff_elements = "UNSET",
  $ldap_user_server_attribute = "UNSET",
  $ldap_company_server_attribute = "UNSET",
  $ldap_server_address_attribute = "UNSET",
  $ldap_server_http_port_attribute = "UNSET",
  $ldap_server_ssl_port_attribute = "UNSET",
  $ldap_server_file_path_attribute = "UNSET",
  $ldap_server_contains_public_attribute = "UNSET",
  $ldap_server_proxy_path_attribute = "UNSET",
  $ldap_server_search_filter = "UNSET",
  $ldap_server_unique_attribute = "UNSET",
  $ldap_server_type_attribute_value = "UNSET",
)
inherits zarafa::server::params {

  contain zarafa::server::install
  contain zarafa::server::config
  contain zarafa::server::service

  Class["mysql::server"] -> Class["zarafa::server::install"] -> Class["zarafa::server::config"] -> Class["zarafa::server::service"]
}
