class zarafa::server::params  {
  # server
  $server_bind = "0.0.0.0"
  $server_tcp_enabled = "yes"
  $server_tcp_port = "236"
  $server_pipe_enabled = "yes"
  $server_pipe_name = "/var/run/zarafa"
  $server_pipe_priority = "/var/run/zarafa-prio"
  $server_name = "Zarafa"
  $server_hostname = ""
  $database_engine = "mysql"
  $allow_local_users = "yes"
  $local_admin_users = "root"
  $system_email_address = "postmaster@localhost"
  $run_as_user = ""
  $run_as_group = ""
  $pid_file = "/var/run/zarafa-server.pid"
  $running_path = "/"
  $coredump_enabled = "yes"
  $session_timeout = "300"
  $license_socket = "/var/run/zarafa-licensed"
  $license_timeout = "10"
  $log_method = "file"
  $log_file = "/var/log/zarafa/server.log"
  $log_level = "2"
  $log_timestamp = "1"
  $audit_log_enabled = "no"
  $audit_log_method = "syslog"
  $audit_log_file = "/var/log/zarafa/audit.log"
  $audit_log_level = "1"
  $audit_log_timestamp = "1"
  $mysql_host = "localhost"
  $mysql_port = "3306"
  $mysql_user = "root"
  $mysql_password = ""
  $mysql_socket = ""
  $mysql_database = "zarafa"
  $attachment_storage = "files"
  $attachment_path = "/var/lib/zarafa/attachments"
  $attachment_compression = "6"
  $server_ssl_enabled = "no"
  $server_ssl_port = "237"
  $server_ssl_key_file = "/etc/zarafa/ssl/server.pem"
  $server_ssl_key_pass = "replace-with-server-cert-password"
  $server_ssl_ca_file = "/etc/zarafa/ssl/cacert.pem"
  $server_ssl_ca_path = ""
  $server_ssl_enable_v2 = "no"
  $sslkeys_path = "/etc/zarafa/sslkeys"
  $threads = "8"
  $watchdog_frequency = "1"
  $watchdog_max_age = "500"
  $server_max_keep_alive_requests = "100"
  $server_recv_timeout = "5"
  $server_read_timeout = "60"
  $server_send_timeout = "60"
  $softdelete_lifetime = "30"
  $sync_lifetime = "90"
  $sync_log_all_changes = "yes"
  $enable_sso = "no"
  $enable_gab = "yes"
  $auth_method = "plugin"
  $pam_service = "passwd"
  $cache_cell_size = "256M"
  $cache_object_size = "5M"
  $cache_indexedobject_size = "16M"
  $cache_quota_size = "1M"
  $cache_quota_lifetime = "1"
  $cache_acl_size = "1M"
  $cache_store_size = "1M"
  $cache_user_size = "1M"
  $cache_userdetails_size = "26214400"
  $cache_userdetails_lifetime = "0"
  $cache_server_size = "1M"
  $cache_server_lifetime = "30"
  $quota_warn = "0"
  $quota_soft = "0"
  $quota_hard = "0"
  $companyquota_warn = "0"
  $user_plugin = "db"
  $user_plugin_config = "/etc/zarafa/ldap.cfg"
  if $::lsbdistcodename == "trusty" {
      $plugin_path = "/usr/lib/zarafa"
  }
  else {
    if $::architecture == "x86_64" or $::architecture == "amd64" {
      $plugin_path = "/usr/lib64/zarafa"
    }
    elsif $::architecture == "i386" {
      $plugin_path = "/usr/lib/zarafa"
    }
    else {
      fail("Unknown architecture ${::architecture}")
    }
  }
  $createuser_script = "/etc/zarafa/userscripts/createuser"
  $deleteuser_script = "/etc/zarafa/userscripts/deleteuser"
  $creategroup_script = "/etc/zarafa/userscripts/creategroup"
  $deletegroup_script = "/etc/zarafa/userscripts/deletegroup"
  $createcompany_script = "/etc/zarafa/userscripts/createcompany"
  $deletecompany_script = "/etc/zarafa/userscripts/deletecompany"
  $user_safe_mode = "no"
  $thread_stacksize = "512"
  $enable_hosted_zarafa = "false"
  $enable_distributed_zarafa = "false"
  $storename_format = "%f"
  $loginname_format = "%u"
  $client_update_enabled = "false"
  $client_update_path = "/var/lib/zarafa/client"
  $client_update_log_level = "1"
  $client_update_log_path = "/var/log/zarafa/autoupdate"
  $hide_everyone = "no"
  $hide_system = "yes"
  $search_enabled = "yes"
  $search_socket = "file:///var/run/zarafa-search"
  $search_timeout = "10"
  $enable_enhanced_ics = "yes"
  $enable_sql_procedures = "no"
  $sync_gab_realtime = "yes"
  $disabled_features = "imap"
  $max_deferred_records = "0"
  $max_deferred_records_folder = "20"
  $restrict_admin_permissions = "no"
  $embedded_attachment_limit = "20"
  $proxy_header = ""

  # ldap
  #$ldap_host = "localhost"
  $ldap_host = "localhost"
  $ldap_port = "389"
  $ldap_protocol = "ldap"
  $ldap_uri = ""
  $ldap_server_charset = "utf-8"
  $ldap_bind_user = "cn=admin,cn=users,dc=zarafa,dc=com"
  $ldap_bind_passwd = ""
  $ldap_network_timeout = "30"
  $ldap_last_modification_attribute = "modifyTimestamp"
  $ldap_page_size = "1000"
  $ldap_search_base = "dc=zarafa,dc=com"
  $ldap_object_type_attribute = "objectClass"
  $ldap_user_type_attribute_value = "posixAccount"
  $ldap_group_type_attribute_value = "posixGroup"
  $ldap_contact_type_attribute_value = "zarafa-contact"
  $ldap_company_type_attribute_value = "organizationalUnit"
  $ldap_addresslist_type_attribute_value = "zarafa-addresslist"
  $ldap_dynamicgroup_type_attribute_value = "zarafa-dynamicgroup"
  $ldap_user_search_filter = ""
  $ldap_user_unique_attribute = "uidNumber"
  $ldap_user_unique_attribute_type = "text"
  $ldap_fullname_attribute = "cn"
  $ldap_loginname_attribute = "uid"
  $ldap_password_attribute = "userPassword"
  $ldap_authentication_method = "bind"
  $ldap_emailaddress_attribute = "mail"
  $ldap_emailaliases_attribute = "zarafaAliases"
  $ldap_isadmin_attribute = "zarafaAdmin"
  $ldap_nonactive_attribute = "zarafaSharedStoreOnly"
  $ldap_resource_type_attribute = "zarafaResourceType"
  $ldap_resource_capacity_attribute = "zarafaResourceCapacity"
  $ldap_sendas_attribute = "zarafaSendAsPrivilege"
  $ldap_sendas_attribute_type = "text"
  $ldap_sendas_relation_attribute = ""
  $ldap_user_certificate_attribute = "userCertificate;binary"
  $ldap_group_search_filter = ""
  $ldap_group_unique_attribute = "gidNumber"
  $ldap_group_unique_attribute_type = "text"
  $ldap_groupname_attribute = "cn"
  $ldap_groupmembers_attribute = "memberUid"
  $ldap_groupmembers_attribute_type = "text"
  $ldap_groupmembers_relation_attribute = "uid"
  $ldap_group_security_attribute = "zarafaSecurityGroup"
  $ldap_group_security_attribute_type = "boolean"
  $ldap_company_search_filter = ""
  $ldap_company_unique_attribute = "ou"
  $ldap_company_unique_attribute_type = "text"
  $ldap_companyname_attribute = "ou"
  $ldap_company_view_attribute = "zarafaViewPrivilege"
  $ldap_company_view_attribute_type = "text"
  $ldap_company_view_relation_attribute = ""
  $ldap_company_admin_attribute = "zarafaAdminPrivilege"
  $ldap_company_admin_attribute_type = "text"
  $ldap_company_admin_relation_attribute = ""
  $ldap_company_system_admin_attribute = "zarafaSystemAdmin"
  $ldap_company_system_admin_attribute_type = "text"
  $ldap_company_system_admin_relation_attribute = ""
  $ldap_addresslist_search_filter = ""
  $ldap_addresslist_unique_attribute = "cn"
  $ldap_addresslist_unique_attribute_type = "text"
  $ldap_addresslist_filter_attribute = "zarafaFilter"
  $ldap_addresslist_search_base_attribute = "zarafaBase"
  $ldap_addresslist_name_attribute = "cn"
  $ldap_dynamicgroup_search_filter = ""
  $ldap_dynamicgroup_unique_attribute = "cn"
  $ldap_dynamicgroup_unique_attribute_type = "text"
  $ldap_dynamicgroup_filter_attribute = "zarafaFilter"
  $ldap_dynamicgroup_search_base_attribute = "zarafaBase"
  $ldap_dynamicgroup_name_attribute = "cn"
  $ldap_quota_userwarning_recipients_attribute = "zarafaQuotaUserWarningRecipients"
  $ldap_quota_userwarning_recipients_attribute_type = "text"
  $ldap_quota_userwarning_recipients_relation_attribute = ""
  $ldap_quota_companywarning_recipients_attribute = "zarafaQuotaCompanyWarningRecipients"
  $ldap_quota_companywarning_recipients_attribute_type = "text"
  $ldap_quota_companywarning_recipients_relation_attribute = ""
  $ldap_quotaoverride_attribute = "zarafaQuotaOverride"
  $ldap_warnquota_attribute = "zarafaQuotaWarn"
  $ldap_softquota_attribute = "zarafaQuotaSoft"
  $ldap_hardquota_attribute = "zarafaQuotaHard"
  $ldap_userdefault_quotaoverride_attribute = "zarafaUserDefaultQuotaOverride"
  $ldap_userdefault_warnquota_attribute = "zarafaUserDefaultQuotaWarn"
  $ldap_userdefault_softquota_attribute = "zarafaUserDefaultQuotaSoft"
  $ldap_userdefault_hardquota_attribute = "zarafaUserDefaultQuotaHard"
  $ldap_quota_multiplier = "1"
  $ldap_addressbook_hide_attribute = "zarafaHidden"
  $ldap_object_search_filter = ""
  $ldap_filter_cutoff_elements = "1000"
}
